<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
interface Engine_Vfs_Directory_Interface extends Iterator, SeekableIterator
{
  public function __construct(Engine_Vfs_Adapter_Interface $adapter, $path, array $contents = null);

  public function getAdapter();

  public function getPath();

  public function toArray();
}
